var io = require('./io'),
    debug = require('../debug')('cache');

module.exports = newCache;

function newCache (key) {
  debug('Defining %s', key);

  return {
    get: method(io.get, key),
    set: method(io.set, key)
  };
}

function method (fn, prefix) {
  return function () {
    var params = arguments;
    params[0] = prefix + ':' + params[0];
    return fn.apply(undefined, params);
  };
}
